<template>
    <div>
        <el-drawer
            :size="size"
            :visible.sync="drawerVisible"
            :direction="'btt'"
            @close="closeDrawer"
        >
            <div class="close" @click="drawerVisible = false"></div>
            <slot></slot>
        </el-drawer>
    </div>
</template>

<script lang="ts">
import { Vue, Component, PropSync, Prop, Emit } from 'vue-property-decorator';

@Component
export default class UiDialog extends Vue {
    @PropSync('isVisible') drawerVisible!: boolean;
    @Prop() size!: number;

    @Emit('closeDrawer') closeDrawer() {
        return;
    }
}
</script>

<style lang="scss" scoped>
    .close {
        width: 60px;
        height: 5px;
        background-color: #CCCCCC;
        border-radius: 10px;
        margin: 10px auto 13px auto;
    }
</style>